﻿/// <reference path="viewModel.js" />

(function (lightSwitchApplication) {

    var $element = document.createElement("div");

    lightSwitchApplication.AddEditTickets.prototype._$contentItems = {
        Tabs: {
            _$class: msls.ContentItem,
            _$name: "Tabs",
            _$parentName: "RootContentItem",
            screen: lightSwitchApplication.AddEditTickets
        },
        Details: {
            _$class: msls.ContentItem,
            _$name: "Details",
            _$parentName: "Tabs",
            screen: lightSwitchApplication.AddEditTickets,
            data: lightSwitchApplication.AddEditTickets,
            value: lightSwitchApplication.AddEditTickets
        },
        columns: {
            _$class: msls.ContentItem,
            _$name: "columns",
            _$parentName: "Details",
            screen: lightSwitchApplication.AddEditTickets,
            data: lightSwitchApplication.AddEditTickets,
            value: lightSwitchApplication.Tickets
        },
        left: {
            _$class: msls.ContentItem,
            _$name: "left",
            _$parentName: "columns",
            screen: lightSwitchApplication.AddEditTickets,
            data: lightSwitchApplication.Tickets,
            value: lightSwitchApplication.Tickets
        },
        Title: {
            _$class: msls.ContentItem,
            _$name: "Title",
            _$parentName: "left",
            screen: lightSwitchApplication.AddEditTickets,
            data: lightSwitchApplication.Tickets,
            value: String
        },
        Category: {
            _$class: msls.ContentItem,
            _$name: "Category",
            _$parentName: "left",
            screen: lightSwitchApplication.AddEditTickets,
            data: lightSwitchApplication.Tickets,
            value: String
        },
        right: {
            _$class: msls.ContentItem,
            _$name: "right",
            _$parentName: "columns",
            screen: lightSwitchApplication.AddEditTickets,
            data: lightSwitchApplication.Tickets,
            value: lightSwitchApplication.Tickets
        },
        Status: {
            _$class: msls.ContentItem,
            _$name: "Status",
            _$parentName: "right",
            screen: lightSwitchApplication.AddEditTickets,
            data: lightSwitchApplication.Tickets,
            value: String
        },
        Date_Create: {
            _$class: msls.ContentItem,
            _$name: "Date_Create",
            _$parentName: "right",
            screen: lightSwitchApplication.AddEditTickets,
            data: lightSwitchApplication.Tickets,
            value: Date
        },
        Popups: {
            _$class: msls.ContentItem,
            _$name: "Popups",
            _$parentName: "RootContentItem",
            screen: lightSwitchApplication.AddEditTickets
        }
    };

    msls._addEntryPoints(lightSwitchApplication.AddEditTickets, {
        /// <field>
        /// Called when a new AddEditTickets screen is created.
        /// <br/>created(msls.application.AddEditTickets screen)
        /// </field>
        created: [lightSwitchApplication.AddEditTickets],
        /// <field>
        /// Called before changes on an active AddEditTickets screen are applied.
        /// <br/>beforeApplyChanges(msls.application.AddEditTickets screen)
        /// </field>
        beforeApplyChanges: [lightSwitchApplication.AddEditTickets],
        /// <field>
        /// Called after the Details content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Details_postRender: [$element, function () { return new lightSwitchApplication.AddEditTickets().findContentItem("Details"); }],
        /// <field>
        /// Called after the columns content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        columns_postRender: [$element, function () { return new lightSwitchApplication.AddEditTickets().findContentItem("columns"); }],
        /// <field>
        /// Called after the left content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        left_postRender: [$element, function () { return new lightSwitchApplication.AddEditTickets().findContentItem("left"); }],
        /// <field>
        /// Called after the Title content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Title_postRender: [$element, function () { return new lightSwitchApplication.AddEditTickets().findContentItem("Title"); }],
        /// <field>
        /// Called after the Category content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Category_postRender: [$element, function () { return new lightSwitchApplication.AddEditTickets().findContentItem("Category"); }],
        /// <field>
        /// Called after the right content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        right_postRender: [$element, function () { return new lightSwitchApplication.AddEditTickets().findContentItem("right"); }],
        /// <field>
        /// Called after the Status content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Status_postRender: [$element, function () { return new lightSwitchApplication.AddEditTickets().findContentItem("Status"); }],
        /// <field>
        /// Called after the Date_Create content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Date_Create_postRender: [$element, function () { return new lightSwitchApplication.AddEditTickets().findContentItem("Date_Create"); }]
    });

    lightSwitchApplication.ShowTickets.prototype._$contentItems = {
        Tabs: {
            _$class: msls.ContentItem,
            _$name: "Tabs",
            _$parentName: "RootContentItem",
            screen: lightSwitchApplication.ShowTickets
        },
        TicketsList: {
            _$class: msls.ContentItem,
            _$name: "TicketsList",
            _$parentName: "Tabs",
            screen: lightSwitchApplication.ShowTickets,
            data: lightSwitchApplication.ShowTickets,
            value: lightSwitchApplication.ShowTickets
        },
        Tickets: {
            _$class: msls.ContentItem,
            _$name: "Tickets",
            _$parentName: "TicketsList",
            screen: lightSwitchApplication.ShowTickets,
            data: lightSwitchApplication.ShowTickets,
            value: {
                _$class: msls.VisualCollection,
                screen: lightSwitchApplication.ShowTickets,
                _$entry: {
                    elementType: lightSwitchApplication.Tickets
                }
            }
        },
        RowTemplate: {
            _$class: msls.ContentItem,
            _$name: "RowTemplate",
            _$parentName: "Tickets",
            screen: lightSwitchApplication.ShowTickets,
            data: lightSwitchApplication.Tickets,
            value: lightSwitchApplication.Tickets
        },
        Popups: {
            _$class: msls.ContentItem,
            _$name: "Popups",
            _$parentName: "RootContentItem",
            screen: lightSwitchApplication.ShowTickets
        }
    };

    msls._addEntryPoints(lightSwitchApplication.ShowTickets, {
        /// <field>
        /// Called when a new ShowTickets screen is created.
        /// <br/>created(msls.application.ShowTickets screen)
        /// </field>
        created: [lightSwitchApplication.ShowTickets],
        /// <field>
        /// Called before changes on an active ShowTickets screen are applied.
        /// <br/>beforeApplyChanges(msls.application.ShowTickets screen)
        /// </field>
        beforeApplyChanges: [lightSwitchApplication.ShowTickets],
        /// <field>
        /// Called to determine if the AddTicket method can be executed.
        /// <br/>canExecute(msls.application.ShowTickets screen)
        /// </field>
        AddTicket_canExecute: [lightSwitchApplication.ShowTickets],
        /// <field>
        /// Called to execute the AddTicket method.
        /// <br/>execute(msls.application.ShowTickets screen)
        /// </field>
        AddTicket_execute: [lightSwitchApplication.ShowTickets],
        /// <field>
        /// Called after the TicketsList content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        TicketsList_postRender: [$element, function () { return new lightSwitchApplication.ShowTickets().findContentItem("TicketsList"); }],
        /// <field>
        /// Called after the Tickets content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Tickets_postRender: [$element, function () { return new lightSwitchApplication.ShowTickets().findContentItem("Tickets"); }],
        /// <field>
        /// Called after the RowTemplate content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        RowTemplate_postRender: [$element, function () { return new lightSwitchApplication.ShowTickets().findContentItem("RowTemplate"); }]
    });

    lightSwitchApplication.SSRSViewer.prototype._$contentItems = {
        Tabs: {
            _$class: msls.ContentItem,
            _$name: "Tabs",
            _$parentName: "RootContentItem",
            screen: lightSwitchApplication.SSRSViewer
        },
        ReportViewerControlReport: {
            _$class: msls.ContentItem,
            _$name: "ReportViewerControlReport",
            _$parentName: "Tabs",
            screen: lightSwitchApplication.SSRSViewer,
            data: lightSwitchApplication.SSRSViewer,
            value: lightSwitchApplication.SSRSViewer
        },
        Popups: {
            _$class: msls.ContentItem,
            _$name: "Popups",
            _$parentName: "RootContentItem",
            screen: lightSwitchApplication.SSRSViewer
        }
    };

    msls._addEntryPoints(lightSwitchApplication.SSRSViewer, {
        /// <field>
        /// Called when a new SSRSViewer screen is created.
        /// <br/>created(msls.application.SSRSViewer screen)
        /// </field>
        created: [lightSwitchApplication.SSRSViewer],
        /// <field>
        /// Called before changes on an active SSRSViewer screen are applied.
        /// <br/>beforeApplyChanges(msls.application.SSRSViewer screen)
        /// </field>
        beforeApplyChanges: [lightSwitchApplication.SSRSViewer],
        /// <field>
        /// Called to render the ReportViewerControlReport content item.
        /// <br/>render(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        ReportViewerControlReport_render: [$element, function () { return new lightSwitchApplication.SSRSViewer().findContentItem("ReportViewerControlReport"); }]
    });

}(msls.application));